Loading...
Searching...
No Matches
driver_mpi_common.h File Reference
`#include <drivers/mp_common/mp_common.h>`
`#include <drivers/mpi/driver_mpi_source.h>`

Go to the source code of this file.

## Macros

#define | SYNC_TAG
#define | ASYNC_TAG
#define | NOTIF_TAG

## Functions

int | _starpu_mpi_common_mp_init ()
void | _starpu_mpi_common_mp_deinit ()
int | _starpu_mpi_common_is_src_node ()
int | _starpu_mpi_common_get_src_node ()
int | _starpu_mpi_common_is_mp_initialized ()
int | _starpu_mpi_common_recv_is_ready (const struct _starpu_mp_node *mp_node)
int | _starpu_mpi_common_notif_recv_is_ready (const struct _starpu_mp_node *mp_node)
int | _starpu_mpi_common_notif_send_is_ready (const struct _starpu_mp_node *mp_node)
void | _starpu_mpi_common_mp_initialize_src_sink (struct _starpu_mp_node *node)
void | _starpu_mpi_common_send (const struct _starpu_mp_node *node, void *msg, int len, void *event)
void | _starpu_mpi_common_recv (const struct _starpu_mp_node *node, void *msg, int len, void *event)
void | _starpu_mpi_common_mp_send (const struct _starpu_mp_node *node, void *msg, int len)
void | _starpu_mpi_common_mp_recv (const struct _starpu_mp_node *node, void *msg, int len)
void | _starpu_mpi_common_nt_send (const struct _starpu_mp_node *node, void *msg, int len)
void | _starpu_mpi_common_nt_recv (const struct _starpu_mp_node *node, void *msg, int len)
void | _starpu_mpi_common_recv_from_device (const struct _starpu_mp_node *node, int src_devid, void *msg, int len, void *event)
void | _starpu_mpi_common_send_to_device (const struct _starpu_mp_node *node, int dst_devid, void *msg, int len, void *event)
unsigned int | _starpu_mpi_common_test_event (struct _starpu_async_channel *event)
void | _starpu_mpi_common_wait_request_completion (struct _starpu_async_channel *event)
void | _starpu_mpi_common_barrier (void)
void | _starpu_mpi_common_measure_bandwidth_latency (double bandwidth_dtod[STARPU_MAXMPIDEVS][STARPU_MAXMPIDEVS], double latency_dtod[STARPU_MAXMPIDEVS][STARPU_MAXMPIDEVS])

## Variables

int | _starpu_mpi_common_multiple_thread